Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		lirc
#Epoch:		0
Version:	0.8.7
Release:	1
License:	GNU/GPLv2
URL:		http://www.lirc.org/
Group:		System/Configuration/Hardware
Summary:	Linux Infrared Remote Control
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source0:		%{name}-%{version}.tar.bz2
Source1:        %{name}.init
Source2:        %{name}.sysconfig

# Patches:
Patch0:         lirc-in-kernel-ioctls.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=457273
# http://thread.gmane.org/gmane.comp.hardware.lirc/6884
Patch1:         lirc-0.8.6-standardized-remote-keycodes.patch
Patch2:         lirc-0.8.4-make-remote-names-all-unique.patch
Patch3:         lirc-0.8.6-firefly-def.patch

# Requires:
Requires(post): /sbin/chkconfig
Requires(post): /sbin/ldconfig
Requires(preun): /sbin/chkconfig
Requires(postun): /sbin/ldconfig

# BuildRequires:
BuildRequires: python26-devel

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libirman-devel
BuildRequires: libSM-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: portaudio-devel
BuildRequires: svgalib-devel
BuildRequires: jack-audio-connection-kit-devel

%description
LIRC is a package that allows you to decode and send infrared and other signals of many (but not all) commonly used remote controls. Included applications include daemons which decode the received signals as well as user space applications which allow controlling a computer with a remote control.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun
if [ $1 -eq 0 ] ; then
  %{_initrddir}/lirc stop >/dev/null || :
  /sbin/chkconfig --del lirc || :
fi

%post
ldconfig
/sbin/chkconfig --add lirc

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

chmod 644 contrib/*
chmod +x contrib/hal

sed -i -e 's|/usr/local/etc/|/etc/|' contrib/irman2lirc

sed -i -e 's/\r//' remotes/hercules/lircd.conf.smarttv_stereo \
    remotes/adstech/lircd.conf.usbx-707

sed -i -e 's|/sbin/init.d/lircd|%{_initrddir}/lirc|' contrib/lircs

for f in remotes/chronos/lircd.conf.chronos \
    remotes/creative/lircd.conf.livedrive remotes/atiusb/lircd.conf.atiusb \
    NEWS ChangeLog AUTHORS contrib/lircrc ; do
    iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done

# use /dev/lirc0 by default instead of /dev/lirc
sed -i -e 's|#define DEV_LIRC   "lirc"|#define DEV_LIRC "lirc0"|' config.h.in

# use fixed instead of Courier w/xmode2, should be more prevalent on linux boxen
sed -i -e 's|char.*font1_name.*Courier.*$|char          font1_name[]="-misc-fixed-*-r-*-*-12-*-*-*-*-*-iso8859-1";|g' tools/xmode2.c

sed -i -e 's|"/lib /usr/lib |"/%{_lib} %{_libdir} |' configure # lib64 rpath

# *cough* I wish there was a good way to disable alsa/portaudio/svgalib...
%if ! %{with alsa}
sed -i -e 's/asoundlib.h/ALSA_DISABLED/g' configure*
%endif
%if ! %{with portaudio}
sed -i -e 's/portaudio.h/PORTAUDIO_DISABLED/g' configure*
%endif
%if ! %{with svgalib}
sed -i -e 's/vga.h/SVGALIB_DISABLED/g' configure*
%endif

touch -r aclocal.m4 configure.ac # avoid autofoo re-run

# Do this after, as we're touching the remote definitions earlier
# Don't create a backup, or the original definitions will get installed
%patch1 -p1
%patch2 -p1
%patch3 -p1

chmod +x daemons/input_map.sh

%build
export PYTHON=/usr/bin/python2.6
./configure \
--prefix=%_prefix \
--disable-debug \
--disable-static \
--disable-dependency-tracking \
--enable-sandboxed \
--with-syslog=LOG_DAEMON \
--with-driver=userspace

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# add irman integration
install -pm 755 contrib/irman2lirc $RPM_BUILD_ROOT%{_bindir}
# add lirc hardware database file
install -Dpm 644 doc/lirc.hwdb $RPM_BUILD_ROOT%{_datadir}/lirc/lirc.hwdb
# add lirc daemon init script
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/lirc
%{__perl} -pi -e \
  's|/etc/|%{_sysconfdir}/|g ;
   s|/var/|%{_localstatedir}/|g ;
   s|/usr/sbin/|%{_sbindir}/|g' \
  $RPM_BUILD_ROOT/etc/rc.d/init.d/lirc
# add lirc basic config
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lirc

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/lirc
touch $RPM_BUILD_ROOT%{_sysconfdir}/lirc/lirc{d,md}.conf

install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/run/lirc/
touch $RPM_BUILD_ROOT%{_localstatedir}/run/lirc/lirc{d,m}

rm $RPM_BUILD_ROOT%{_libdir}/liblirc_client.la

# Put remote definitions in place
cp -ar remotes $RPM_BUILD_ROOT%{_datadir}/lirc-remotes

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/lirc/
%{_sysconfdir}/rc.d/init.d/lirc
%{_sysconfdir}/sysconfig/lirc
%{_bindir}/ircat
%{_bindir}/irexec
%{_bindir}/irman2lirc
%{_bindir}/irpty
%{_bindir}/irrecord
%{_bindir}/irsend
%{_bindir}/irw
%{_bindir}/irxevent
%{_bindir}/lircrcd
%{_bindir}/mode2
#%{_bindir}/smode2
%{_bindir}/xmode2
%{_bindir}/pronto2lirc
%{_sbindir}/lircd
%{_sbindir}/lircmd
%{_libdir}/liblirc_client.so.*
%{_mandir}/man1/ircat.1.gz
%{_mandir}/man1/irexec.1.gz
%{_mandir}/man1/irpty.1.gz
%{_mandir}/man1/irrecord.1.gz
%{_mandir}/man1/irsend.1.gz
%{_mandir}/man1/irw.1.gz
%{_mandir}/man1/irxevent.1.gz
%{_mandir}/man1/lircrcd.1.gz
%{_mandir}/man1/mode2.1.gz
%{_mandir}/man1/smode2.1.gz
%{_mandir}/man1/xmode2.1.gz
%{_mandir}/man8/lircd.8.gz
%{_mandir}/man8/lircmd.8.gz

%{_datadir}/lirc-remotes/
%{_datadir}/lirc/lirc.hwdb
   
%{_localstatedir}/run/lirc/lircd
%{_localstatedir}/run/lirc/lircm

%files devel
%defattr(-,root,root)
%{_includedir}/lirc/
%{_libdir}/liblirc_client.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8.7-1
- version update
* Sat Oct 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6-1
- initial CCux package release
